
--VERIFICAR CASO EXISTA A ETAPA VALIDACAO 16, SOLICITAR AUXILIO DO SUPORTE ITEC BRAZIL




IF NOT EXISTS (SELECT * FROM TELE_ETAPA_VALIDACAO WHERE CD_ETAPA_VALIDACAO = 16 AND CD_ETAPA = 2 AND CD_TIPO = 3)
   	BEGIN
   		INSERT INTO TELE_ETAPA_VALIDACAO (CD_ETAPA_VALIDACAO, CD_ETAPA, CD_TIPO, DS_ETAPA_VALIDACAO) VALUES (16, 2, 3, 'EM SEPARACAO')
		
		UPDATE TELE_ETAPA_VALIDACAO SET DS_ETAPA_VALIDACAO = 'EM CHECKOUT' WHERE CD_ETAPA_VALIDACAO = 2

		UPDATE TELE_ETAPA_VALIDACAO_COMPATIVEL SET CD_ETAPA_COMPATIVEL = 16 WHERE CD_ETAPA_COMPATIVEL = 1 AND CD_ETAPA = 2 AND CD_TIPO = 1
		
		INSERT INTO TELE_ETAPA_VALIDACAO_COMPATIVEL (CD_ETAPA_COMPATIVEL, CD_ETAPA, CD_TIPO) VALUES(1,2,3)

		INSERT INTO TELE_ETAPA_VALIDACAO_COMPATIVEL (CD_ETAPA_COMPATIVEL, CD_ETAPA, CD_TIPO) VALUES(16,7,1)

		INSERT INTO TELE_ETAPA_VALIDACAO_COMPATIVEL (CD_ETAPA_COMPATIVEL, CD_ETAPA, CD_TIPO) VALUES(16,8,0)

	END
ELSE
	BEGIN
	
		-- ESTA SELECT TEM QUE RETORNAR OS SEGUITNES DADOS
		-- (1,2,3)
		-- (16,2,1)
		-- (16,7,1)
		-- (16,8,0)
		SELECT * FROM TELE_ETAPA_VALIDACAO_COMPATIVEL WHERE CD_ETAPA_COMPATIVEL = 16 OR CD_ETAPA_COMPATIVEL = 1
	END
GO